--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -7084,63 +8441,395 @@
 	0d94  MCP89 High Definition Audio
 	0d9c  MCP89 OHCI USB 1.1 Controller
 	0d9d  MCP89 EHCI USB 2.0 Controller
+	0dc0  GF106 [GeForce GT 440]
 	0dc4  GF106 [GeForce GTS 450]
-	0dcd  GF106 [GeForce GT 555M]
-	0dce  GF106 [GeForce GT 555M]
-# rev a1
-	0dd1  GF106 [GeForce GTX 460M]
+	0dc5  GF106 [GeForce GTS 450 OEM]
+	0dc6  GF106 [GeForce GTS 450]
+	0dcd  GF106M [GeForce GT 555M]
+	0dce  GF106M [GeForce GT 555M]
+	0dd1  GF106M [GeForce GTX 460M]
 		1558 8687  CLEVO/KAPOK W860CU
-	0dd2  GF106 [GeForce GT 445M]
+	0dd2  GF106M [GeForce GT 445M]
+	0dd3  GF106M [GeForce GT 435M]
+	0dd6  GF106M [GeForce GT 550M]
 	0dd8  GF106GL [Quadro 2000]
-	0dda  GF106 [Quadro 2000M]
+		10de 0914  Quadro 2000D
+	0dda  GF106GLM [Quadro 2000M]
 	0de0  GF108 [GeForce GT 440]
 	0de1  GF108 [GeForce GT 430]
 		3842 1430  GeForce GT 430
 	0de2  GF108 [GeForce GT 420]
-# Not fully sure that it's GF108, might also be GF106.
-	0deb  GF108 [GeForce GT 555M]
-	0dee  GF108 [GeForce GT 415M]
-	0df0  GF108 [GeForce GT 425M]
-	0df2  GF108 [GeForce GT 435M]
-	0df4  GF108 [GeForce GT 540M]
-	0df5  GF108 [GeForce GT 540M]
-	0df7  GF108 [GeForce GT 520M]
-	0df8  GF108 [Quadro 600]
-	0dfa  GF108 [Quadro 1000M]
-	0e08  HDMI Audio stub
+	0de3  GF108M [GeForce GT 635M]
+	0de4  GF108 [GeForce GT 520]
+	0de5  GF108 [GeForce GT 530]
+	0de8  GF108M [GeForce GT 620M]
+	0de9  GF108M [GeForce GT 630M]
+	0dea  GF108M [GeForce 610M]
+		17aa 365a  GeForce 615
+		17aa 365b  GeForce 615
+		17aa 365e  GeForce 615
+		17aa 3660  GeForce 615
+		17aa 366c  GeForce 615
+	0deb  GF108M [GeForce GT 555M]
+	0dec  GF108M [GeForce GT 525M]
+	0ded  GF108M [GeForce GT 520M]
+	0dee  GF108M [GeForce GT 415M]
+	0def  GF108M [NVS 5400M]
+	0df0  GF108M [GeForce GT 425M]
+	0df1  GF108M [GeForce GT 420M]
+	0df2  GF108M [GeForce GT 435M]
+	0df3  GF108M [GeForce GT 420M]
+	0df4  GF108M [GeForce GT 540M]
+	0df5  GF108M [GeForce GT 525M]
+	0df6  GF108M [GeForce GT 550M]
+	0df7  GF108M [GeForce GT 520M]
+	0df8  GF108GL [Quadro 600]
+	0df9  GF108GLM [Quadro 500M]
+	0dfa  GF108GLM [Quadro 1000M]
+	0dfc  GF108GLM [NVS 5200M]
+	0e08  GF119 HDMI Audio Controller
+# 1024MB with passive cooling (heatsink)
+		10b0 104a  Gainward GeForce GT 610
 	0e09  GF110 High Definition Audio Controller
-	0e0a  GK104 [Geforce GTX680]
-	0e0c  GF110 High Definition Audio Controller
+	0e0a  GK104 HDMI Audio Controller
+	0e0c  GF114 HDMI Audio Controller
+	0e1a  GK110 HDMI Audio
+	0e1b  GK107 HDMI Audio Controller
+		1043 8428  GTX650-DC-1GD5
 	0e22  GF104 [GeForce GTX 460]
 		1462 2322  N460GTX Cyclone 1GD5/OC
-	0e3a  GF104 [Quadro 3000M]
-	0e3b  GF104 [Quadro 4000M]
-	0fd2  GK107 [GeForce GT 640M]
+	0e23  GF104 [GeForce GTX 460 SE]
+	0e24  GF104 [GeForce GTX 460 OEM]
+	0e30  GF104M [GeForce GTX 470M]
+	0e31  GF104M [GeForce GTX 485M]
+	0e3a  GF104GLM [Quadro 3000M]
+	0e3b  GF104GLM [Quadro 4000M]
+	0f00  GF108 [GeForce GT 630]
+	0f01  GF108 [GeForce GT 620]
+	0fc0  GK107 [GeForce GT 640 OEM]
+	0fc1  GK107 [GeForce GT 640]
+	0fc2  GK107 [GeForce GT 630 OEM]
+	0fc6  GK107 [GeForce GTX 650]
+		1043 8428  GTX650-DC-1GD5
+	0fd1  GK107M [GeForce GT 650M]
+		1043 1597  GeForce GT 650M
+		1043 15a7  GeForce GT 650M
+		1043 2103  N56VZ
+		1043 2105  GeForce GT 650M
+		1043 2141  GeForce GT 650M
+	0fd2  GK107M [GeForce GT 640M]
+		1028 054f  GeForce GT 640M
+		1028 055f  GeForce GT 640M
+		1028 0595  GeForce GT 640M LE
+		1028 05b2  GeForce GT 640M LE
+	0fd3  GK107M [GeForce GT 640M LE]
+	0fd4  GK107M [GeForce GTX 660M]
+	0fd5  GK107M [GeForce GT 650M Mac Edition]
+	0fd8  GK107M [GeForce GT 640M Mac Edition]
+	0fd9  GK107M [GeForce GT 645M]
+	0fdf  GK107M [GeForce GT 740M]
+	0fe0  GK107M [GeForce GTX 660M OEM]
+	0fe1  GK107M [GeForce GT 730M]
+	0fe3  GK107M [GeForce GT 745M]
+	0fe4  GK107M [GeForce GT 750M]
+	0fe5  GK107 [GeForce K340 USM]
+	0fe6  GK107 [NVS K1 USM]
+	0fef  GK107GL [GRID K340]
+	0ff1  GK107 [NVS 1000]
+	0ff2  GK107GL [GRID K1]
+	0ff5  GK107GL [Tesla K1 USM]
+	0ff7  GK107GL [Quadro K1 USM]
+	0ff9  GK107GL [Quadro K2000D]
+	0ffa  GK107GL [Quadro K600]
+	0ffb  GK107GLM [Quadro K2000M]
+	0ffc  GK107GLM [Quadro K1000M]
+	0ffd  GK107 [NVS 510]
+	0ffe  GK107GL [Quadro K2000]
+	0fff  GK107GL [Quadro 410]
+	1003  GK110 [GeForce GTX Titan LE]
+	1004  GK110 [GeForce GTX 780]
+	1005  GK110 [GeForce GTX Titan]
+		1043 8451  GTXTITAN-6GD5
+# Reference Model
+		10de 1035  GeForce GTX Titan
+# 06G-P4-2790-KR
+		3842 2790  GeForce GTX Titan
+# 06G-P4-2791-KR
+		3842 2791  GeForce GTX Titan SC
+# 06G-P4-2793-KR
+		3842 2793  GeForce GTX Titan SC Signature
+# 06G-P4-2794-KR
+		3842 2794  GeForce GTX Titan SC Hydro Copper
+# 06G-P4-2795-KR
+		3842 2795  GeForce GTX Titan SC Hydro Copper Signature
+	101f  GK110GL [Tesla K20]
+	1020  GK110GL [Tesla K20X]
+	1021  GK110GL [Tesla K20Xm]
+	1022  GK110GL [Tesla K20c]
+	1026  GK110GL [Tesla K20s]
+	1028  GK110GL [Tesla K20m]
 	1040  GF119 [GeForce GT 520]
-	1050  GF119 [GeForce GT 520M]
-	1051  GF119 [GeForce GT 520MX]
-	1056  GF119 [Quadro NVS 4200M]
-	1057  GF119 [Quadro NVS 4200M]
+	1042  GF119 [GeForce 510]
+	1048  GF119 [GeForce 605]
+	1049  GF119 [GeForce GT 620 OEM]
+	104a  GF119 [GeForce GT 610]
+# 1024MB with passive cooling (heatsink)
+		10b0 104a  Gainward GeForce GT 610
+	104b  GF119 [GeForce GT 625 OEM]
+	1050  GF119M [GeForce GT 520M]
+	1051  GF119M [GeForce GT 520MX]
+	1052  GF119M [GeForce GT 520M]
+	1054  GF119M [GeForce 410M]
+	1055  GF119M [GeForce 410M]
+	1056  GF119M [NVS 4200M]
+	1057  GF119M [Quadro NVS 4200M]
+	1058  GF119M [GeForce 610M]
+		1043 10ac  GeForce GT 610M
+		1043 10bc  GeForce GT 610M
+		1043 1652  GeForce GT 610M
+	105a  GF119M [GeForce 610M]
+		1043 2111  GeForce GT 610M
+		1043 2112  GeForce GT 610M
+	105b  GF119M [GeForce 705M]
+		103c 2afb  GeForce 705A
+	107c  GF119 [NVS 315]
+	107d  GF119 [NVS 310]
 	1080  GF110 [GeForce GTX 580]
 	1081  GF110 [GeForce GTX 570]
 		10de 087e  Leadtek WinFast GTX 570
-	1082  GF114 [GeForce GTX 560 Ti]
-	1086  GF110 [GeForce GTX 570 HD]
-	1091  Tesla M2090
-	1094  Tesla M2075 Dual-Slot Computing Processor Module
-	1096  Tesla C2075
-	10c3  GT218 [GeForce 8400 GS]
-		10de 066d  G98 [GeForce 8400GS]
-	10c5  Dell M116N [GeForce 405]
+	1082  GF110 [GeForce GTX 560 Ti OEM]
+	1084  GF110 [GeForce GTX 560 OEM]
+	1086  GF110 [GeForce GTX 570 Rev. 2]
+	1087  GF110 [GeForce GTX 560 Ti 448 Cores]
+	1088  GF110 [GeForce GTX 590]
+	1089  GF110 [GeForce GTX 580]
+	108b  GF110 [GeForce GTX 580]
+	108e  GF110GL [Tesla C2090]
+	1091  GF110GL [Tesla M2090]
+		10de 088e  Tesla X2090
+		10de 0891  Tesla X2090
+	1094  GF110GL [Tesla M2075]
+		10de 0888  Tesla M2075
+	1096  GF110GL [Tesla C2050 / C2075]
+		10de 0910  Tesla C2075
+		10de 0911  Tesla C2050
+	109a  GF100GLM [Quadro 5010M]
+	109b  GF100GL [Quadro 7000]
+		10de 0918  Quadro 7000
+	10c0  GT218 [GeForce 9300 GS Rev. 2]
+	10c3  GT218 [GeForce 8400 GS Rev. 3]
+	10c5  GT218 [GeForce 405]
 	10d8  GT218 [NVS 300]
+	1140  GF117M [GeForce 610M/710M / GT 620M/625M/630M/720M]
+		1025 0600  GeForce GT 620M
+		1025 0606  GeForce GT 620M
+		1025 064a  GeForce GT 620M
+		1025 064c  GeForce GT 620M
+		1025 067a  GeForce GT 620M
+		1025 0680  GeForce GT 620M
+		1025 0686  GeForce 710M
+		1025 0689  GeForce 710M
+		1025 068b  GeForce 710M
+		1025 068d  GeForce 710M
+		1025 068e  GeForce 710M
+		1025 0691  GeForce 710M
+		1025 0692  GeForce GT 620M
+		1025 0694  GeForce GT 620M
+		1025 0702  GeForce GT 620M
+		1025 0719  GeForce GT 620M
+		1025 0725  GeForce GT 620M
+		1025 0728  GeForce GT 620M
+		1025 072b  GeForce GT 620M
+		1025 072e  GeForce GT 620M
+		1025 0732  GeForce GT 620M
+		1025 0763  GeForce GT 720M
+		1025 0773  GeForce 710M
+		1025 0774  GeForce 710M
+		1025 0776  GeForce GT 720M
+		1025 077a  GeForce 710M
+		1025 077b  GeForce 710M
+		1025 077c  GeForce 710M
+		1025 077d  GeForce 710M
+		1025 077e  GeForce 710M
+		1025 077f  GeForce 710M
+		1025 0798  GeForce GT 720M
+		1025 079b  GeForce GT 720M
+		1025 0821  GeForce GT 720M
+		1028 054d  GeForce GT 630M
+		1028 054e  GeForce GT 630M
+		1028 0554  GeForce GT 620M
+		1028 0557  GeForce GT 620M
+		1028 0565  GeForce GT 630M
+		1028 0568  GeForce GT 630M
+		1028 0590  GeForce GT 630M
+		1028 0592  GeForce GT 625M
+		1028 0594  GeForce GT 625M
+		1028 0595  GeForce GT 625M
+		1028 05a2  GeForce GT 625M
+		1028 05b1  GeForce GT 625M
+		1028 05b3  GeForce GT 625M
+		1028 05da  GeForce GT 630M
+		1028 05e8  GeForce GT 630M
+		103c 18ef  GeForce GT 630M
+		103c 18f9  GeForce GT 630M
+		103c 18fb  GeForce GT 630M
+		103c 18fd  GeForce GT 630M
+		103c 18ff  GeForce GT 630M
+		103c 2aef  GeForce GT 720A
+		103c 2af9  GeForce 710A
+		1043 10dd  NVS 5200M
+		1043 10ed  NVS 5200M
+		1043 11fd  GeForce GT 720M
+		1043 124d  GeForce GT 720M
+		1043 126d  GeForce GT 720M
+		1043 131d  GeForce GT 720M
+		1043 14c7  GeForce GT 720M
+		1043 1507  GeForce GT 620M
+		1043 2132  GeForce GT 620M
+		1043 2136  NVS 5200M
+		1043 21ba  GeForce GT 720M
+		1043 21fa  GeForce GT 720M
+		1043 220a  GeForce GT 720M
+		1043 221a  GeForce GT 720M
+		144d c0d5  GeForce GT 630M
+		144d c0d7  GeForce GT 620M
+		144d c0e2  NVS 5200M
+		144d c0e3  NVS 5200M
+		144d c0e4  NVS 5200M
+		144d c652  GeForce GT 620M
+		144d c709  GeForce 710M
+		144d c711  GeForce 710M
+		1462 10b8  GeForce GT 710M
+		1462 10e9  GeForce GT 720M
+		152d 0926  GeForce 620M
+		152d 0982  GeForce GT 630M
+		152d 0983  GeForce GT 630M
+		152d 1030  GeForce GT 630M
+		17aa 2200  NVS 5200M
+		17aa 3656  GeForce GT 620M
+		17aa 3800  GeForce GT 720M
+		17aa 3801  GeForce GT 720M
+		17aa 3802  GeForce GT 720M
+		17aa 3803  GeForce GT 720M
+		17aa 3901  GeForce 610M / GT 620M
+		17aa 3902  GeForce 710M
+		17aa 3903  GeForce 610M/710M
+		17aa 3904  GeForce GT 620M/625M
+		17aa 3905  GeForce GT 720M
+		17aa 3910  GeForce 720M
+		17aa 3912  GeForce 720M
+		17aa 3977  GeForce GT 720M
+		17aa 3983  GeForce 610M
+		17aa 5003  GeForce GT 720M
+		17aa 500d  GeForce GT 620M
+		17aa 5014  GeForce 710M
+		17aa 5017  GeForce 710M
+		17aa 5019  GeForce 710M
+		17aa 501a  GeForce 710M
+		17aa 501f  GeForce GT 720M
+		17aa 5027  GeForce 710M
+		17aa 502a  GeForce 710M
+		1854 0177  GeForce 710M
+		1854 0180  GeForce 710M
+		1b0a 20dd  GeForce GT 620M
+		1b0a 20df  GeForce GT 620M
 	1180  GK104 [GeForce GTX 680]
-	1200  GF110 [GeForce GTX 560 Ti]
+		3842 3682  GeForce GTX 680 Mac Edition
+	1182  GK104 [GeForce GTX 760 Ti]
+	1183  GK104 [GeForce GTX 660 Ti]
+	1184  GK104 [GeForce GTX 770]
+	1185  GK104 [GeForce GTX 660 OEM]
+	1187  GK104 [GeForce GTX 760]
+	1188  GK104 [GeForce GTX 690]
+	1189  GK104 [GeForce GTX 670]
+	118a  GK104GL [GRID K520]
+	118b  GK104 [GeForce K2 USM]
+	118c  GK104 [NVS K2 USM]
+	118f  GK104GL [Tesla K10]
+	119d  GK104M [GeForce GTX 775M]
+	119f  GK104M [GeForce GTX 780M]
+	11a0  GK104M [GeForce GTX 680M]
+	11a1  GK104M [GeForce GTX 670MX]
+	11a2  GK104M [GeForce GTX 675MX Mac Edition]
+	11a3  GK104M [GeForce GTX 680MX]
+		106b 010d  iMac 13,2
+	11a7  GK104M [GeForce GTX 675MX]
+	11b0  GK104GL [Quadro K2 USM]
+	11b1  GK104GL [Tesla K2 USM]
+	11ba  GK104GL [Quadro K5000]
+	11bb  GK104GL [Quadro 4100]
+	11bc  GK104GLM [Quadro K5000M]
+	11bd  GK104GLM [Quadro K4000M]
+	11be  GK104GLM [Quadro K3000M]
+	11bf  GK104GL [GRID K2]
+	11c0  GK106 [GeForce GTX 660]
+	11c2  GK106 [GeForce GTX 650 Ti Boost]
+		1043 845b  GeForce GTX 650 Ti Boost DirectCU II OC
+		1462 2874  GeForce GTX 650 Ti Boost TwinFrozr II OC
+		1569 11c2  GeForce GTX 650 Ti Boost OC
+		19da 1281  GeForce GTX 650 Ti Boost OC
+		3842 3657  GeForce GTX 650 Ti Boost
+		3842 3658  GeForce GTX 650 Ti Boost Superclocked
+	11c3  GK106 [GeForce GTX 650 Ti OEM]
+		10de 1030  GeForce GTX 650 Ti OEM
+	11c4  GK106 [GeForce GTX 645 OEM]
+	11c6  GK106 [GeForce GTX 650 Ti]
+	11e0  GK106M [GeForce GTX 770M]
+	11e1  GK106M [GeForce GTX 765M]
+	11e2  GK106M [GeForce GTX 765M]
+	11e3  GK106M [GeForce GTX 760M]
+	11fa  GK106GL [Quadro K4000]
+	1200  GF114 [GeForce GTX 560 Ti]
 	1201  GF114 [GeForce GTX 560]
+	1202  GF114 [GeForce GTX 560 Ti OEM]
+	1203  GF114 [GeForce GTX 460 SE v2]
 	1205  GF114 [GeForce GTX 460 v2]
+	1206  GF114 [GeForce GTX 555]
+	1207  GF114 [GeForce GT 645 OEM]
+	1208  GF114 [GeForce GTX 560 SE]
+	1210  GF114M [GeForce GTX 570M]
+	1211  GF114M [GeForce GTX 580M]
+	1212  GF114M [GeForce GTX 675M]
+	1213  GF114M [GeForce GTX 670M]
+	1241  GF116 [GeForce GT 545 OEM]
+	1243  GF116 [GeForce GT 545]
 	1244  GF116 [GeForce GTX 550 Ti]
-	1245  GF116 [GeForce GTS 450]
-	1247  GF106 [GeForce GT 555M]
+	1245  GF116 [GeForce GTS 450 Rev. 2]
+	1246  GF116M [GeForce GT 550M]
+	1247  GF116M [GeForce GT 555M/635M]
+		1043 1752  GeForce GT 555M
+		1043 2050  GeForce GT 555M
+		1043 2051  GeForce GT 555M
+		1043 212a  GeForce GT 635M
+		1043 212b  GeForce GT 635M
+		1043 212c  GeForce GT 635M
+	1248  GF116M [GeForce GT 555M]
+	1249  GF116 [GeForce GTS 450 Rev. 3]
+	124b  GF116 [GeForce GT 640 OEM]
+	124d  GF116M [GeForce GT 555M/635M]
+	1251  GF116M [GeForce GT 560M]
+	1280  GK208 [GeForce GT 635]
+	1282  GK208 [GeForce GT 640 Rev. 2]
+	1284  GK208 [GeForce GT 630 Rev. 2]
+	1290  GK208M [GeForce GT 730M]
+		103c 2afa  GeForce GT 730A
+		103c 2b04  GeForce GT 730A
+		1043 13ad  GeForce GT 730M
+		1043 13cd  GeForce GT 730M
+	1291  GK208M [GeForce GT 735M]
+	1292  GK208M [GeForce GT 740M]
+	1293  GK208M [GeForce GT 730M]
+	1294  GK208M [GeForce GT 740M]
+	12a0  GK208
 10df  Emulex Corporation
+	0720  OneConnect NIC (Skyhawk)
+	0722  OneConnect iSCSI Initiator (Skyhawk)
+	0723  OneConnect iSCSI Initiator + Target (Skyhawk)
+	0724  OneConnect FCoE Initiator (Skyhawk)
+	0728  OneConnect NIC (Skyhawk-VF)
+	072a  OneConnect iSCSI Initiator (Skyhawk-VF)
+	072b  OneConnect iSCSI Initiator + Target (Skyhawk-VF)
+	072c  OneConnect FCoE Initiator (Skyhawk-VF)
 	1ae5  LP6000 Fibre Channel Host Adapter
 	e100  Proteus-X: LightPulse IOV Fibre Channel Host Adapter
 	e131  LightPulse 8Gb/s PCIe Shared I/O Fibre Channel Adapter
@@ -7271,21 +8960,11 @@
 	8111  Twist3 Frame Grabber
 10ec  Realtek Semiconductor Co., Ltd.
 	0139  Zonet Zen3200
-	0260  Realtek 260 High Definition Audio
-	0261  Realtek 261 High Definition Audio
-	0262  Realtek 262 High Definition Audio
-	0269  Realtek ALC269 High Definition Audio (82801G)
-	0280  Realtek 280 High Definition Audio
-	0660  Realtek 660 High Definition Audio
-	0662  Realtek 662 High Definition Audio
-	0861  Realtek 861 High Definition Audio
-	0862  Realtek 862 High Definition Audio
 	0880  Realtek 880 High Definition Audio
 	0883  Realtek 883 High Definition Audio
-		1025 1605  TravelMate 5600 series
 	0885  Realtek 885 High Definition Audio
 	0888  Realtek 888 High Definition Audio
-		1028 020d  Inspiron 530
+	0892  Realtek 892 High Definition Audio
 	5209  RTS5209 PCI Express Card Reader
 	5229  RTS5229 PCI Express Card Reader
 	5288  Barossa PCI Express Card Reader
@@ -7357,9 +9036,10 @@
 		1458 e000  GA-MA69G-S3H Motherboard
 		1462 235c  P965 Neo MS-7235 mainboard
 		1462 236c  945P Neo3-F motherboard
-	8168  RTL8111/8168B PCI Express Gigabit Ethernet controller
-		1019 8168  MCP73PVT-SM
+	8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
+		1019 8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		103c 1611  Pavilion DM1Z-3000
 		1043 11f5  A6J-Q008
 		1043 16d5  U6V/U31J laptop
@@ -7367,21 +9047,24 @@
 		1043 82c6  M3A78-EH Motherboard
 		1043 83a3  M4A785TD Motherboard
 		1043 8432  P8P67 and other motherboards
-		10ec 8168  TEG-ECTX Gigabit PCI-E Adapter [Trendnet]
-		1458 e000  GA-EP45-DS5 Motherboard
+		1043 8505  P8H77-I Motherboard
+		105b 0d7c  D270S/D250S Motherboard
+		10ec 8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
+		1458 e000  Motherboard
 		1462 238c  Onboard RTL8111b on MSI P965 Platinum Mainboard
 		1462 368c  K9AG Neo2
 		1462 7522  X58 Pro-E
 		1775 11cc  CC11/CL11
 		1849 8168  Motherboard (one of many)
-		8086 d615  Desktop Board D510MO
-	8169  RTL-8169 Gigabit Ethernet
+		8086 d615  Desktop Board D510MO/D525MW
+	8169  RTL8169 PCI Gigabit Ethernet Controller
 		1025 0079  Aspire 5024WLMi
 		10bd 3202  EP-320G-TX1 32-bit PCI Gigabit Ethernet Adapter
 		10ec 8169  RTL8169/8110 Family PCI Gigabit Ethernet NIC
 		1259 c107  CG-LAPCIGT
 		1371 434e  ProG-2000L
 		1385 311a  GA311
+		1385 5200  GA511 Gigabit PC Card
 		1458 e000  GA-8I915ME-G Mainboard
 		1462 030c  K8N Neo-FSR v2.0 mainboard
 		1462 065c  Hetis 865GV-E (MS-7065)
@@ -7398,6 +9081,7 @@
 		1a3b 1139  AW-NE139H Half-size Mini PCIe Card
 	8177  RTL8188CE 802.11b/g/n WiFi Adapter
 	8178  RTL8188CE 802.11b/g/n WiFi Adapter
+	8179  RTL8188EE Wireless Network Adapter
 	8180  RTL8180L 802.11b MAC
 		1385 4700  MA521 802.11b Wireless PC Card
 		1737 0019  WPC11v4 802.11b Wireless-B Notebook Adapter
@@ -7405,9 +9089,11 @@
 	8190  RTL8190 802.11n Wireless LAN
 	8191  RTL8188CE 802.11b/g/n WiFi Adapter
 	8192  RTL8192E/RTL8192SE Wireless LAN Controller
+	8193  RTL8192DE Wireless LAN Controller
 	8197  SmartLAN56 56K Modem
 	8199  RTL8187SE Wireless LAN Controller
 		1462 6894  MN54G2 / MS-6894 Wireless Mini PCIe Card
+	8723  RTL8723AE PCIe Wireless Network Adapter
 10ed  Ascii Corporation
 	7310  V7310
 10ee  Xilinx Corporation
@@ -7502,6 +9188,7 @@
 		1102 1002  SB Audigy2 Platinum
 		1102 1007  SB0240 Audigy 2 Platinum 6.1
 		1102 1009  SB Audigy2 OEM HP
+		1102 2001  SB Audigy 2 ZS Platinum Pro
 		1102 2002  SB Audigy 2 ZS (SB0350)
 		1102 4001  E-MU 1010
 		1102 4002  E-MU 0404
@@ -7525,8 +9212,8 @@
 	0009  [SB X-Fi Xtreme Audio] CA0110-IBG
 		1102 0010  [SB X-Fi Xtreme Audio] CA0110-IBG
 		1102 0018  SB1040
-	000b  X-Fi Titanium series [EMU20k2]
-		1102 0041  SB X-Fi Titanium PCI-e [SB0880]
+	000b  EMU20k2 [X-Fi Titanium Series]
+		1102 0041  SB0880 [SoundBlaster X-Fi Titanium PCI-e]
 	4001  SB Audigy FireWire Port
 		1102 0010  SB Audigy FireWire Port
 	7002  SB Live! Game Port
@@ -7568,6 +9255,9 @@
 	0007  HPT371/371N
 	0008  HPT374
 	0009  HPT372N
+	0620  RocketRAID 620 2 Port SATA-III Controller
+	0622  RocketRAID 622 2 Port SATA-III Controller
+	0640  RocketRAID 640 4 Port SATA-III Controller
 	1720  RocketRAID 1720 (2x SATA II RAID Controller)
 	1740  RocketRAID 1740
 	1742  RocketRAID 1742
@@ -7588,6 +9278,7 @@
 	3120  RocketRAID 3120
 	3220  RocketRAID 3220
 	3320  RocketRAID 3320
+	4310  RocketRaid 4310
 1104  RasterOps Corp.
 1105  Sigma Designs, Inc.
 	1105  REALmagic Xcard MPEG 1/2/3/4 DVD Decoder
@@ -7626,6 +9317,7 @@
 		147b a401  KT7/KT7-RAID/KT7A/KT7A-RAID Mainboard
 	0308  PT880 Ultra/PT894 Host Bridge
 		1043 8199  P4V800D-X Mainboard
+		1849 0308  Motherboard
 	0314  CN700/VN800/P4M800CE/Pro Host Bridge
 	0324  CX700/VX700 Host Bridge
 	0327  P4M890 Host Bridge
@@ -7636,9 +9328,6 @@
 	0364  CN896/VN896/P4M900 Host Bridge
 		1043 81ce  P5VD2-VM mothervoard
 	0391  VT8371 [KX133]
-	0397  VT1708S HD Audio
-		1043 836c  P7H55
-		1043 83c7  P5KPL-AM EPU
 	0409  VX855/VX875 Host Bridge: Host Control
 	0410  VX900 Host Bridge: Host Control
 	0415  VT6415 PATA IDE Host Controller
@@ -7664,7 +9353,8 @@
 		1462 7120  KT4AV motherboard
 		1462 7181  K8MM3-V mainboard
 		147b 1407  KV8-MAX3 motherboard
-		1849 0571  K7VT2/K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 0571  K7VT series Motherboards
 	0576  VT82C576 3V [Apollo Master]
 	0581  CX700/VX700 RAID Controller
 # Upgrade bios to get correct ID: 5324 instead of 0581
@@ -7776,7 +9466,9 @@
 		1462 7181  K8MM3-V mainboard
 		147b 1407  KV8-MAX3 motherboard
 		182d 201d  CN-029 USB2.0 4 port PCI Card
-		1849 3038  K7VT6
+# probably all K7VT2/4*/6
+		1849 3038  K7VT series Motherboards
+		19da a179  ZBOX nano VD01
 	3040  VT82C586B ACPI
 	3043  VT86C100A [Rhine]
 		10bd 0000  VT86C100A Fast Ethernet Adapter
@@ -7786,8 +9478,9 @@
 		0010 0001  IEEE 1394 4port DCST 1394-3+1B
 		1025 005a  TravelMate 290
 		103c 2a20  Pavilion t3030.de Desktop PC
+		103c 2a3b  Media Center PC m7590n
 		1043 808a  A8V/A8N/P4P800 series motherboard
-		1043 81fe  M4A series motherboard
+		1043 81fe  Motherboard
 		1458 1000  GA-7VT600-1394 Motherboard
 		1462 207d  K8NGM2 series motherboard
 		1462 217d  Aspire L250
@@ -7844,7 +9537,8 @@
 		1695 300c  EP-8KRA2+ Mainboard
 		1849 0850  ASRock 775Dual-880 Pro onboard audio (Realtek ALC850)
 		1849 9739  P4VT8 Mainboard (C-Media CMI9739A codec)
-		1849 9761  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 9761  K7VT series Motherboards
 		4005 4710  MSI K7T266 Pro2-RU (MSI-6380 v2) onboard audio (Realtek/ALC 200/200P)
 		a0a0 01b6  AK77-8XN onboard audio
 		a0a0 0342  AK86-L motherboard
@@ -7860,7 +9554,8 @@
 		147b 1c09  NV7 Motherboard
 		1695 3005  VT6103
 		1695 300c  Realtek ALC655 sound chip
-		1849 3065  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 3065  K7VT series Motherboards
 # This hosts more than just the Intel 537 codec, it also hosts PCtel (SIL33) and SmartLink (SIL34) codecs
 	3068  AC'97 Modem Controller
 		1462 309e  MS-6309 Saturn Motherboard
@@ -7879,6 +9574,7 @@
 		1043 808c  A7V8X motherboard
 		1043 80a1  A7V8X-X motherboard rev 1.01
 		1043 80ed  A7V600/K8V-X/A8V Deluxe motherboard
+		1106 3104  USB 2.0 Controller
 		1297 f641  FX41 motherboard
 		1458 5004  GA-7VAX Mainboard
 		1462 5901  KT6 Delta-FIS2R (MS-6590)
@@ -7888,10 +9584,13 @@
 		1462 7181  K8MM3-V mainboard
 		147b 1407  KV8-MAX3 motherboard
 		182d 201d  CN-029 USB 2.0 4 port PCI Card
-		1849 3104  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 3104  K7VT series Motherboards
+		19da a179  ZBOX nano VD01
 	3106  VT6105/VT6106S [Rhine-III]
 		1106 0105  VT6106S [Rhine-III]
 		1186 1403  DFE-530TX rev C
+		1186 1405  DFE-520TX Fast Ethernet PCI Adapter
 		1186 1406  DFE-530TX+ rev F2
 		1186 1407  DFE-538TX
 	3108  K8M800/K8N800/K8N800A [S3 UniChrome Pro]
@@ -7935,7 +9634,8 @@
 		1106 0000  KT4AV motherboard
 		1297 f641  FX41 motherboard
 		1458 5001  GA-7VAX Mainboard
-		1849 3177  K7VT2 motherboard
+# probably all K7VT2/4*/6
+		1849 3177  K7VT series Motherboards
 	3178  ProSavageDDR P4N333 Host Bridge
 	3188  VT8385 [K8T800 AGP] Host Bridge
 		1043 80a3  K8V Deluxe/K8V-X motherboard
@@ -7944,7 +9644,8 @@
 		1043 807f  A7V8X motherboard
 		1106 0000  KT4AV motherboard (KT400A)
 		1458 5000  GA-7VAX Mainboard
-		1849 3189  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 3189  K7VT series Motherboards
 	3204  K8M800 Host Bridge
 	3205  VT8378 [KM400/A] Chipset Host Bridge
 		1458 5000  GA-7VM400M Motherboard
@@ -7971,6 +9672,7 @@
 	3282  K8T800Pro Host Bridge
 	3287  VT8251 PCI to ISA Bridge
 	3288  VT8237A/VT8251 HDA Controller
+		19da a179  ZBOX VD01
 	3290  K8M890 Host Bridge
 	3296  P4M800 Host Bridge
 	3324  CX700/VX700 Host Bridge
@@ -7993,6 +9695,8 @@
 		1043 8384  P8P67 Deluxe Motherboard
 	3409  VX855/VX875 DRAM Bus Control
 	3410  VX900 DRAM Bus Control
+		19da a179  ZBOX nano VD01
+	3432  VL80x xHCI USB 3.0 Controller
 	4149  VIA VT6420 (ATA133) Controller
 	4204  K8M800 Host Bridge
 	4208  PT890 Host Bridge
@@ -8013,9 +9717,9 @@
 	4351  VT3351 Host Bridge
 	4353  VX800/VX820 Power Management Control
 	4364  CN896/VN896/P4M900 Host Bridge
-	4397  VT1708B/1702S/1708S HD audio codec
 	4409  VX855/VX875 Power Management Control
-	4428  VT1718S HD Audio Codec
+	4410  VX900 Power Management and Chip Testing Control
+		19da a179  ZBOX nano VD01
 	5030  VT82C596 ACPI [Apollo PRO]
 	5122  VX855/VX875 Chrome 9 HCM Integrated Graphics
 	5208  PT890 I/O APIC Interrupt Controller
@@ -8032,12 +9736,16 @@
 	5364  CN896/VN896/P4M900 I/O APIC Interrupt Controller
 	5372  VT8237/8251 Serial ATA Controller
 	5409  VX855/VX875 APIC and Central Traffic Control
+	5410  VX900 APIC and Central Traffic Control
 	6100  VT85C100A [Rhine II]
 	6287  SATA RAID Controller
+	6290  K8M890CE Host Bridge
 	6327  P4M890 Security Device
 	6353  VX800/VX820 Scratch Registers
 	6364  CN896/VN896/P4M900 Security Device
 	6409  VX855/VX875 Scratch Registers
+	6410  VX900 Scratch Registers
+		19da a179  ZBOX nano VD01
 	7122  VX900 Graphics [Chrome9 HD]
 	7204  K8M800 Host Bridge
 	7205  KM400/KN400/P4M800 [S3 UniChrome]
@@ -8062,6 +9770,8 @@
 	7353  VX800/VX820 North-South Module Interface Control
 	7364  CN896/VN896/P4M900 Host Bridge
 	7409  VX855/VX875 North-South Module Interface Control
+	7410  VX900 North-South Module Interface Control
+		19da a179  ZBOX nano VD01
 	8231  VT8231 [PCI-to-ISA Bridge]
 	8235  VT8235 ACPI
 	8305  VT8363/8365 [KT133/KM133 AGP]
@@ -8070,6 +9780,8 @@
 	8391  VT8371 [KX133 AGP]
 	8400  MVP4
 	8409  VX855/VX875 Bus Control and Power Management
+	8410  VX900 Bus Control and Power Management
+		19da a179  ZBOX VD01
 	8500  KLE133/PLE133/PLE133T
 	8501  VT8501 [Apollo MVP4 AGP]
 	8596  VT82C596 [Apollo PRO AGP]
@@ -8093,6 +9805,7 @@
 	a353  VX8xx South-North Module Interface Control
 	a364  CN896/VN896/P4M900 PCI to PCI Bridge Controller
 	a409  VX855/VX875 USB Device Controller
+	a410  VX900 PCI Express Root Port 0
 	b091  VT8633 [Apollo Pro266 AGP]
 	b099  VT8366/A/7 [Apollo KT266/A/333 AGP]
 	b101  VT8653 AGP Bridge
@@ -8107,6 +9820,7 @@
 	b198  VT8237/VX700 PCI Bridge
 	b213  VPX/VPX2 I/O APIC Interrupt Controller
 	b353  VX855/VX875/VX900 PCI to PCI Bridge
+	b410  VX900 PCI Express Root Port 1
 	b999  [K8T890 North / VT8237 South] PCI Bridge
 	c208  PT890 PCI to PCI Bridge Controller
 	c238  K8T890 PCI to PCI Bridge Controller
@@ -8115,16 +9829,17 @@
 	c353  VX800/VX820 PCI Express Root Port
 	c364  CN896/VN896/P4M900 PCI to PCI Bridge Controller
 	c409  VX855/VX875 EIDE Controller
+	c410  VX900 PCI Express Root Port 2
 	d104  VT8237R USB UDCI Controller
 	d208  PT890 PCI to PCI Bridge Controller
 	d213  VPX/VPX2 PCI to PCI Bridge Controller
 	d238  K8T890 PCI to PCI Bridge Controller
 	d340  PT900 PCI to PCI Bridge Controller
+	d410  VX900 PCI Express Root Port 3
 	e208  PT890 PCI to PCI Bridge Controller
 	e238  K8T890 PCI to PCI Bridge Controller
 	e340  PT900 PCI to PCI Bridge Controller
 	e353  VX800/VX820 PCI Express Root Port
-	e721  VT1708B 8-channel High Definition Audio CODEC
 	f208  PT890 PCI to PCI Bridge Controller
 	f238  K8T890 PCI to PCI Bridge Controller
 	f340  PT900 PCI to PCI Bridge Controller
@@ -8159,6 +9874,7 @@
 	3142  SIMATIC NET CP 5613A1 (Profibus Adapter)
 	4021  SIMATIC NET CP 5512 (Profibus and MPI Cardbus Adapter)
 	4029  SIMATIC NET CP 5613A2 (Profibus Adapter)
+	4035  SIMATIC NET CP 1613 A2
 	4942  FPGA I-Bus Tracer for MBD
 	6120  SZB6120
 110b  Chromatic Research Inc.
@@ -8306,7 +10022,7 @@
 111b  Teledyne Electronic Systems
 111c  Tricord Systems Inc.
 	0001  Powerbis Bridge
-111d  Integrated Device Technology, Inc.
+111d  Integrated Device Technology, Inc. [IDT]
 	0001  IDT77201/77211 155Mbps ATM SAR Controller [NICStAR]
 	0003  IDT77222/77252 155Mbps ATM MICRO ABR SAR Controller
 	0004  IDT77V252 155Mbps ATM MICRO ABR SAR Controller
@@ -8435,7 +10151,6 @@
 		0000 5071  Behold TV 507 RDS
 		0000 507b  Behold TV 507 RDS
 		0000 5201  Behold TV Columbus
-# Deleting vendor name after rereading submit instructions
 		0070 6701  WinTV HVR-1110
 		1019 4cb5  Elitegroup ECS TVP3XP FM1236 Tuner Card (NTSC,FM)
 		1043 0210  FlyTV mini Asus Digimatrix
@@ -8447,6 +10162,7 @@
 		1131 2001  Proteus Pro [philips reference design]
 		1131 2018  Tiger reference design
 		1131 4ee9  MonsterTV Mobile
+		1131 7133  Pinnacle PCTV 301i
 		11bd 002b  PCTV Stereo
 		11bd 002e  PCTV 110i (saa7133)
 		12ab 0800  PURPLE TV
@@ -8455,6 +10171,7 @@
 		1421 1370  Instant TV (saa7135)
 		1435 7330  VFG7330
 		1435 7350  VFG7350
+		1458 9001  GC-PTV-TAF Hybrid TV card
 		1458 9002  GT-PTV-TAF-RH DVB-T/Analog TV/FM tuner
 		1458 9003  GT-PTV-AF-RH Analog TV/FM tuner
 		1458 9004  GT-P8000 DVB-T/Analog TV/FM tuner
@@ -8529,6 +10246,7 @@
 		1894 a006  KNC One TV-Station DVR
 		1894 fe01  KNC One TV-Station RDS / Typhoon TV Tuner RDS
 		5168 0138  FLY TV PRIME 34FM
+		5168 0300  FlyDVB-S
 		5ace 5070  Behold TV 507 FM
 		5ace 6070  Behold TV 607 FM
 		5ace 6071  Behold TV 607 FM
@@ -8699,6 +10417,7 @@
 	0001  Raceway Bridge
 	0002  Dual PCI to RapidIO Bridge
 	000b  POET Serial RapidIO Bridge
+	000d  POET PSDMS Device
 1135  Fuji Xerox Co Ltd
 	0001  Printer controller
 1136  Momentum Data Systems
@@ -8713,15 +10432,20 @@
 		1137 0047  VIC P81E PCIe Ethernet NIC
 		1137 0048  VIC M81KR Mezzanine Ethernet NIC
 		1137 004f  VIC 1280 Mezzanine Ethernet NIC
+		1137 0084  VIC 1240 MLOM Ethernet NIC
+		1137 0085  VIC 1225 PCIe Ethernet NIC
 	0044  VIC Ethernet NIC Dynamic
 		1137 0047  VIC P81E PCIe Ethernet NIC Dynamic
 		1137 0048  VIC M81KR Mezzanine Ethernet NIC Dynamic
 		1137 004f  VIC 1280 Mezzanine Ethernet NIC Dynamic
+		1137 0084  VIC 1240 MLOM Ethernet NIC Dynamic
+		1137 0085  VIC 1225 PCIe Ethernet NIC Dynamic
 	0045  VIC FCoE HBA
 		1137 0047  VIC P81E PCIe FCoE HBA
 		1137 0048  VIC M81KR Mezzanine FCoE HBA
 		1137 004f  VIC 1280 Mezzanine FCoE HBA
 	004e  VIC 82 PCIe Upstream Port
+	00cf  VIC Userspace NIC
 1138  Ziatech Corporation
 	8905  8905 [STD 32 Bridge]
 1139  Dynamic Pictures, Inc
@@ -9115,7 +10839,7 @@
 		1179 0001  FIR Port Type-DO
 117a  A-Trend Technology
 117b  L G Electronics, Inc.
-117c  Atto Technology
+117c  ATTO Technology, Inc.
 	002c  SAS RAID Adapter
 	0030  Ultra320 SCSI Host Adapter
 		117c 8013  ExpressPCI UL4D
@@ -9164,6 +10888,7 @@
 		1028 014f  Latitude X300 laptop
 		1028 0188  Inspiron 6000 laptop
 		1043 1237  A6J-Q008
+		1043 1757  M2400N laptop
 		144d c005  X10 Laptop
 		144d c00c  P30/P35 notebook
 		17aa 201e  ThinkPad X60s
@@ -9177,6 +10902,7 @@
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1237  A6J-Q008
 		1043 1967  V6800V
 		144d c018  X20 IV
@@ -9194,12 +10920,14 @@
 		103c 30b7  Presario V6133CL
 		103c 30c1  Compaq 6910p
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1237  A6J-Q008
 		1043 1967  ASUS V6800V
 		10f7 8338  Panasonic CF-Y5 laptop
 		144d c018  X20 IV
 		17aa 201d  ThinkPad X60s
 		17aa 20c7  ThinkPad T61
+		17aa 20c8  ThinkPad W500
 	0832  R5C832 IEEE 1394 Controller
 		1025 0121  Aspire 5920G
 		1028 01d7  XPS M1210
@@ -9208,12 +10936,14 @@
 		103c 30b7  Presario V6133CL
 		103c 30c1  Compaq 6910p
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 	0841  R5C841 CardBus/SD/SDIO/MMC/MS/MSPro/xD/IEEE1394
 	0843  R5C843 MMC Host Controller
 		1025 0121  Aspire 5920G
 		1028 01d7  XPS M1210
 		1028 01f3  Inspiron 1420
 		1028 01f5  Dell Inspiron 1501
+		1028 024f  Dell Latitude e6500
 		103c 03b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		1183 0843  Alienware Aurora m9700
@@ -9223,13 +10953,20 @@
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1967  V6800V
 		1180 0852  Pavilion 2410us
 		1324 10cf  P7120
-	e230  Memory Stick Host Controller
+	e230  R5U2xx (R5U230 / R5U231 / R5U241) [Memory Stick Host Controller]
+	e476  CardBus bridge
+		1028 040a  Latitude E6410
+		1028 040b  Latitude E6510
 	e822  MMC/SD Host Controller
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
+	e823  PCIe SDXC/MMC Host Controller
 	e832  R5C832 PCIe IEEE 1394 Controller
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 	e852  PCIe xD-Picture Card Controller
 1181  Telmatics International
@@ -9237,7 +10974,6 @@
 1184  Forks Inc
 1185  Dataworld International Ltd
 1186  D-Link System Inc
-	0100  DC21041
 	1002  DL10050 Sundance Ethernet
 		1186 1002  DFE-550TX/FX
 		1186 1012  DFE-580TX
